petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFieldSplitRestrictIS

Restricts the fieldsplit ISs to be within a given IS.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitRestrictIS(PC pc,IS isy)

### Input Parameters

| pc | - the preconditioner context + is - the index set that defines the indices to which the fieldsplit is to be restricted

### Level

advanced

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Implementations

PCFieldSplitRestrictIS_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages